- build the example for best performance with [`inbreeding build`](./src/.nushell/build.nu)
- run the experiment with [`inbreeding run`](./src/.nushell/run.nu)
- plot the results with [`inbreeding plot`](./src/.nushell/plot.nu)

# Example
```bash
use ./bins/inbreeding
```
```bash
const PRNG_SEED = "ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff"
const OPTS = {
    nb_bytes: (10 * 1_024),
    k: 10,
    n: 20,
    nb_measurements: 10,
    nb_scenarii: 100,
    measurement_schedule: 1,
    measurement_schedule_start: 0,
    max_t: 150,
    strategies: [
        "single:1",
        "double:0.5:1:2",
        "single:2"
        "double:0.5:2:3",
        "single:3"
        "single:5",
        "single:10",
    ],
    environment: "fixed:0",
}
```
```bash
inbreeding build
```
```bash
inbreeding run --options $OPTS --prng-seed $PRNG_SEED
```
```bash
let experiment = $"($PRNG_SEED)-($OPTS.environment)-($OPTS.k)-($OPTS.n)-($OPTS.nb_bytes)"
inbreeding load $experiment | inbreeding plot
```

## plot all experiments
```bash
use bins/inbreeding/src/.nushell/consts.nu CACHE
use bins/inbreeding

const FIGURES_DIR = ($CACHE | path join figures)

mkdir $FIGURES_DIR

for exp in (inbreeding list) {
    inbreeding load $exp | inbreeding plot --save ($FIGURES_DIR | path join $exp)
}
```
